Search Users In Idp By Names And Email
Search users in idp by names and email
Use this API instead:
- /scim/v2/Users
Search users in the corresponding organization in idp by names and email.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ✔️ |
| Organization Member | ✔️ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/v2/users/search
COPY
Request Body
SearchUsersInIdpRequest
of type(s)
application/json
Required
Show optional properties
{
"searchTerm": "string"
}
{
"searchTerm": "string",
"idpId": "string",
"domain": "string",
"pageStart": 0,
"pageLimit": 0
}
string
searchTerm
Required
Constraints:
minLength: 0
maxLength: 120
Search criteria to search for users by their first name, last name and email. Must not be null or blank. Max search length is 120 characters.
string
idpId
Optional
Idp id to search users into it. Must not be null or blank.
string
domain
Optional
Optionally filtered by domain.
integer As int32
As int32
pageStart
Optional
Constraints:
minimum: 1
Start index for querying users. Default value is 1.
integer As int32
As int32
pageLimit
Optional
Constraints:
minimum: 1
maximum: 200
Maximum number of users to return in response. Default value is 200.
Responses
200
OK
Returns
PagedPostResponseBaseUser
of type(s)
*/*
{
"results": [
{
"username": "string",
"firstName": "string",
"lastName": "string",
"domain": "string",
"idpId": "string",
"accessible": false,
"acct": "string",
"email": "string",
"userId": "string"
}
],
"itemsPerPage": 25,
"startIndex": 5,
"totalResults": 2000
}
401
The user is not authorized to use the API.
Returns
PagedPostResponseBaseUser
of type(s)
*/*
{
"results": [
{
"username": "string",
"firstName": "string",
"lastName": "string",
"domain": "string",
"idpId": "string",
"accessible": false,
"acct": "string",
"email": "string",
"userId": "string"
}
],
"itemsPerPage": 25,
"startIndex": 5,
"totalResults": 2000
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"searchTerm":"string"}' https://{api_host}/csp/gateway/am/api/v2/users/search